---
title: CSSSkewX()
slug: Web/API/CSSSkewX/CSSSkewX
tags:
  - API
  - CSS Typed Object Model API
  - CSSSkewX
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkewX()</code></strong> constructor creates a new {{domxref("CSSSkewX")}} object which represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skewX()">skewX()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSSkewX</var> = new CSSSkewX(<em>ax</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>{{domxref('CSSSkewx.ax','ax')}}</dt>
	<dd>A value for the <code>ax</code> angle of the {{domxref('CSSSkewX')}} object to be constructed. This must be a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#dom-cssskewx-cssskewx','CSSskewX()')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkewX.CSSSkewX")}}</p>
